Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# logger.h File Reference

This header defines the Logger class and the logging macros. More...

`#include <log4cplus/config.h>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/loggingmacros.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/streams.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/spi/appenderattachable.h>`
`#include <log4cplus/spi/loggerfactory.h>`
`#include <memory>`
`#include <vector>`

Include dependency graph for logger.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | log4cplus
namespace | log4cplus::spi

## Detailed Description

This header defines the Logger class and the logging macros.

Definition in file logger.h.